#!/bin/sh

# Find all the signatures related to wireshark traces and stores them
# under /usr/local/packages/Support_ACAP/localdata/found_action_rules.txt

MON_SERIAL=$1 # the serial number of the device
MON_HOME_FLASH_DIR=/usr/local/packages/Support_ACAP/localdata
MON_FILENAME=found_action_rules.txt

echo "Collected at: $(date)" > $MON_HOME_FLASH_DIR/$MON_FILENAME

for signature in $(ls /var/spool/storage/*/*/*/action_rule_signature.txt); do

	if echo "$signature" | grep "$MON_SERIAL"; then # A valid entry!

		while read line; do
			echo "$line" >> $MON_HOME_FLASH_DIR/tmp_wire.txt
		done < $signature

		cat $MON_HOME_FLASH_DIR/tmp_wire.txt >> $MON_HOME_FLASH_DIR/$MON_FILENAME

		rm $MON_HOME_FLASH_DIR/tmp_wire.txt
	fi

done
