#!/bin/sh

# Find all the wireshark_signature.txt files related to wireshark sessions and stores them
# under /usr/local/packages/Support_ACAP/localdata/found_wireshark_sessions.txt

MON_SERIAL=$1 # the serial number of the device
MON_HOME_FLASH_DIR=/usr/local/packages/Support_ACAP/localdata
MON_FILENAME=found_wireshark_sessions.txt

echo "Collected at: $(date)" > $MON_HOME_FLASH_DIR/$MON_FILENAME

for wireshark_signature in $(ls /var/spool/storage/*/*/*/wireshark_signature.txt); do

	if echo "$wireshark_signature" | grep "$MON_SERIAL"; then # A valid entry!

		while read line; do
			echo "$line" >> $MON_HOME_FLASH_DIR/tmp_wire.txt
		done < $wireshark_signature

		cat $MON_HOME_FLASH_DIR/tmp_wire.txt >> $MON_HOME_FLASH_DIR/$MON_FILENAME

		rm $MON_HOME_FLASH_DIR/tmp_wire.txt

	fi

done
