#!/bin/sh

SYSLOG_PATH="/usr/local/supacap.log"

# If the log file exists, append .1 to its name.
if [ -f "$SYSLOG_PATH" ]; then
  # Sleep for 1 second to give tail -F time for polling the log rows we just printed.
  sleep 1

  # Rotate the log
  mv "$SYSLOG_PATH" "$SYSLOG_PATH.1"

  # Concatenate the rotated logs to the current monitoring session's Continuous_Syslog.txt
  SYSLOG_CAT_BIN="/usr/local/packages/Support_ACAP/continuous_syslog_cat.sh"
  if [ -f "$SYSLOG_CAT_BIN" ] && [ -r "$SYSLOG_CAT_BIN" ] && [ -x "$SYSLOG_CAT_BIN" ]; then
    $SYSLOG_CAT_BIN "$SYSLOG_PATH.1"
  fi
fi
